Subject: RE: Ordered Collections and PROPFIND Responses

From: Mark Birbeck <[email-masked]>
Date: Tue, 30 Nov 1999 17:30:32 -0000

Slein, Judith A wrote:
> On the one hand, it is a good thing for the client to be made 
> aware that the
> PROPFIND response is ordered, so that the client can decide whether to
> override that ordering with its own.
> 
> On the other hand, it seems like a bad idea to return random 
> information
> that we think might (or should) be interesting to the client.

Just as a general approach, should we not favour the latter view? For a
client that cannot or does not take notice of the order it is irrelevant
information to receive anyway. And for the client that can order, they
should ask for it. Otherwise, where do you stop adding info that you
think should be significant?

Regards,

Mark

Mark Birbeck
Managing Director
x-port.net Ltd.
220 Bon Marché Centre
241-251 Ferndale Road
London
SW9 8BJ
w: http://www.iedigital.net/
t: +44 (171) 501 9502
e: [email-masked]

---

From: Max Rible <[email-masked]>
Date: Tue, 30 Nov 1999 11:57:54 -0800

At 10:26 11/30/99 -0500, Slein, Judith A wrote:
>The advanced collections design team has been debating whether to require
>the ordering semantics (DAV:orderingtype property) to be returned with every
>PROPFIND response for an ordered collection.  The spec currently says that
>the server SHOULD return this property, whether or not the client explicitly
>requested it.
>
>It's likely that we'll either change this language to "MUST" or get rid of
>it altogether.
>
>On the one hand, it is a good thing for the client to be made aware that the
>On the other hand, it seems like a bad idea to return random information

I don't think ordering is random information.  It's only a few handfuls 
of bytes to provide information that should be useful to an overwhelming
number of clients (since I think WebDAV is going to see primary use as
a network filesystem for quite some time to come).  I agree with
"MUST".

-- 
%% Max Rible %% [email-masked] %% http://www.amurgsval.org/~slothman/ %%
%% "Before enlightenment:  sharpen claws, catch mice.                   %%
%%  After enlightenment:  sharpen claws, catch mice."            - me   %%

---

From: Mark Birbeck <[email-masked]>
Date: Tue, 30 Nov 1999 20:25:19 -0000

> a network filesystem for quite some time to come).  I agree with

I'm using WebDAV for inter-server database updates. The server 'clients'
are therefore *very* dumb - they don't care about collection ordering.

Mark

---

From: [email-masked]
Date: Tue, 30 Nov 1999 19:46:54 -0500

Until someone points out why this isn't good, I'm in the camp that says the
server should only return the properties that the client requested.